# $Revision: 1.11 $, $Date: 2009/08/26 10:49:13 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Expression
Summary:	Math::Expression - evaluate arithmetic/string expressions
Summary(pl.UTF-8):	Math::Expression - obliczanie wyrażeń arytmetycznych i na łańcuchach znaków
Name:		perl-Math-Expression
Version:	1.21
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5528166b1371dc59539fae5eb8f5e40b
URL:		http://search.cpan.org/dist/Math-Expression/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module solves the problem of evaluating expressions read from
config files without the use of eval. String and arithmetic operators
are supported, as are: conditions, arrays and functions. The
name-space is managed (for security), user provided functions may be
specified to set/get variable values. Error messages may be via a user
provided function. This is not designed for high computation use.

%description -l pl.UTF-8
Ten moduł rozwiązuje problem obliczania wyrażeń odczytywanych z plików
konfiguracyjnych bez używania eval. Obsługiwane są operatory
arytmetyczne i na łańcuchach znaków, a także: warunki, tablice i
funkcje. Przestrzeń nazw jest zarządzana (ze względów bezpieczeństwa),
mogą być podane funkcje do ustawiania i pobierania wartości zmiennych.
Komunikaty błędów mogą być przekazywane przez podaną funkcję. Moduł
nie jest przeznaczony do skomplikowanych obliczeń.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes Credits README TODO
%{perl_vendorlib}/Math/Expression.pm
%{_mandir}/man3/Math::Expression.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Expression.spec,v $
Revision 1.11  2009/08/26 10:49:13  amateja
- updated to 1.21

Revision 1.10  2008/02/25 21:58:01  qboosh
- updated to 1.18

Revision 1.9  2007-12-24 13:59:15  qboosh
- generic URL

Revision 1.8  2007-12-24 01:27:00  zbyniu
- up to 1.17

Revision 1.7  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.5  2004/11/03 22:30:34  paladine
- formatting

Revision 1.4  2004/10/24 15:53:15  paladine
- spelling fixes, uppercases, etc.

Revision 1.3  2004/05/06 18:43:17  ankry
- fixed perl-devel BR

Revision 1.2  2004/04/23 07:50:16  ankry
- license fixes, unification

Revision 1.1  2003/10/25 18:16:28  qboosh
- new
